
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>一种新型聚类算法(Clustering by fast search and find of density peaksd) / 憋错料</title>

    <meta name="description" content="一种新型聚类算法(Clustering by fast search and find of density peaksd) 最近在学习论文的时候发现了在science上发表的关于新型的基于密度的聚类算法 Kmean算法有很多不足的地方,比如k值的确定,初始结点选择,而且还不能检测费球面类别的数据分布,对于第二个问题,提出了Kmean++,而其他不足还没有解决,dbscan虽然可以对任意形状分布的进行聚类,但是必须指定一个密度阈值,从而去除低于此密度阈值的噪音点,这篇文章解决了这些不足. 本文提出的聚类算法的核心思想在于,对聚类中心的刻画上,而且认为聚类中心同时具有以下两种特点: 本身的密度大,即它被密度均不超过它的邻">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">一种新型聚类算法(Clustering by fast search and find of density peaksd)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>最近在学习论文的时候发现了在science上发表的关于新型的基于密度的聚类算法</p>
<p>Kmean算法有很多不足的地方，比如k值的确定，初始结点选择，而且还不能检测费球面类别的数据分布，对于第二个问题，提出了Kmean++，而其他不足还没有解决，dbscan虽然可以对任意形状分布的进行聚类，但是必须指定一个密度阈值，从而去除低于此密度阈值的噪音点，这篇文章解决了这些不足。</p>
<p>本文提出的聚类算法的核心思想在于，对聚类中心的刻画上，而且认为聚类中心同时具有以下两种特点：</p>
<ul>
<li>本身的密度大，即它被密度均不超过它的邻居包围</li>
<li>与其他密度更大的数据点之间的“距离”相对更大</li>
</ul>
<p><strong>&nbsp;</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzU3ODMzMC8yMDE3MDYvNTc4MzMwLTIwMTcwNjA4MTYzMTAwNzkzLTQ5NTY0MTI2NC5wbmc=.jpg"></p>
<p>通俗的理解为：给一个节点求与其距离小于一个值的节点的个数，用这个个数表示节点的密度，此时求出来的就是节点的局部密度，</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzU3ODMzMC8yMDE3MDYvNTc4MzMwLTIwMTcwNjA4MjEwODE1NDM0LTM5NjA3MjIzMC5wbmc=.jpg"></p>
<p>经过上边的过程，每个点都可以找到两个距离与之对应，然后建立一个二维坐标轴，在坐标轴上把图形画出来，如下图</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzU3ODMzMC8yMDE3MDYvNTc4MzMwLTIwMTcwNjA4MjExNTMzNDUwLTE5MTgwODY1NDAucG5n.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzU3ODMzMC8yMDE3MDYvNTc4MzMwLTIwMTcwNjA4MjExNTUxMDc1LTE2NTUyNTQ5MDIucG5n.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzU3ODMzMC8yMDE3MDYvNTc4MzMwLTIwMTcwNjA4MjExNjIxMzU2LTE1NzU1NjQzNjcucG5n.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzU3ODMzMC8yMDE3MDYvNTc4MzMwLTIwMTcwNjA4MjExNjU2MTY4LTQyODkyNjQyOC5wbmc=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzU3ODMzMC8yMDE3MDYvNTc4MzMwLTIwMTcwNjA4MjExNzA4MzcyLTE1NjUzODY1ODAucG5n.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzU3ODMzMC8yMDE3MDYvNTc4MzMwLTIwMTcwNjA4MjExNzE5MDU5LTEwNDQ5MDA1NDEucG5n.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzU3ODMzMC8yMDE3MDYvNTc4MzMwLTIwMTcwNjA4MjExODA0MDI4LTIwODQ4Nzc3OTQucG5n.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzU3ODMzMC8yMDE3MDYvNTc4MzMwLTIwMTcwNjA4MjExODE1NTI4LTE1MzM4Nzg1Mi5wbmc=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzU3ODMzMC8yMDE3MDYvNTc4MzMwLTIwMTcwNjA4MjExODMyODU2LTUwNjk4Mzg0Ni5wbmc=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzU3ODMzMC8yMDE3MDYvNTc4MzMwLTIwMTcwNjA4MjExOTQwMjAwLTE3OTMwNzY5NTYucG5n.jpg"></p>
<p>最后，附上作者在补充材料里提供的 Matlab&nbsp;<strong>示例程序</strong>&nbsp;（加了适当的代码注释）</p>
<pre>clear all
close all
disp(‘The only input needed is a distance matrix file‘)
disp(‘The format of this file should be: ‘)
disp(‘Column 1: id of element i‘)
disp(‘Column 2: id of element j‘)
disp(‘Column 3: dist(i,j)‘)  

%% 从文件中读取数据
mdist=input(‘name of the distance matrix file (with single quotes)?\n‘);
disp(‘Reading input distance matrix‘)
xx=load(mdist);
ND=max(xx(:,2));
NL=max(xx(:,1));
if (NL&gt;ND)
  ND=NL;  %% 确保 DN 取为第一二列最大值中的较大者，并将其作为数据点总数
end  

N=size(xx,1); %% xx 第一个维度的长度，相当于文件的行数（即距离的总个数）  

%% 初始化为零
for i=1:ND
  for j=1:ND
    dist(i,j)=0;
  end
end  

%% 利用 xx 为 dist 数组赋值，注意输入只存了 0.5*DN(DN-1) 个值，这里将其补成了满矩阵
%% 这里不考虑对角线元素
for i=1:N
  ii=xx(i,1);
  jj=xx(i,2);
  dist(ii,jj)=xx(i,3);
  dist(jj,ii)=xx(i,3);
end  

%% 确定 dc  

percent=2.0;
fprintf(‘average percentage of neighbours (hard coded): %5.6f\n‘, percent);  

position=round(N*percent/100); %% round 是一个四舍五入函数
sda=sort(xx(:,3)); %% 对所有距离值作升序排列
dc=sda(position);  

%% 计算局部密度 rho (利用 Gaussian 核)  

fprintf(‘Computing Rho with gaussian kernel of radius: %12.6f\n‘, dc);  

%% 将每个数据点的 rho 值初始化为零
for i=1:ND
  rho(i)=0.;
end  

% Gaussian kernel
for i=1:ND-1
  for j=i+1:ND
     rho(i)=rho(i)+exp(-(dist(i,j)/dc)*(dist(i,j)/dc));
     rho(j)=rho(j)+exp(-(dist(i,j)/dc)*(dist(i,j)/dc));
  end
end  

% "Cut off" kernel
%for i=1:ND-1
%  for j=i+1:ND
%    if (dist(i,j)&lt;dc)
%       rho(i)=rho(i)+1.;
%       rho(j)=rho(j)+1.;
%    end
%  end
%end  

%% 先求矩阵列最大值，再求最大值，最后得到所有距离值中的最大值
maxd=max(max(dist));   

%% 将 rho 按降序排列，ordrho 保持序
[rho_sorted,ordrho]=sort(rho,‘descend‘);  

%% 处理 rho 值最大的数据点
delta(ordrho(1))=-1.;
nneigh(ordrho(1))=0;  

%% 生成 delta 和 nneigh 数组
for ii=2:ND
   delta(ordrho(ii))=maxd;
   for jj=1:ii-1
     if(dist(ordrho(ii),ordrho(jj))&lt;delta(ordrho(ii)))
        delta(ordrho(ii))=dist(ordrho(ii),ordrho(jj));
        nneigh(ordrho(ii))=ordrho(jj);
        %% 记录 rho 值更大的数据点中与 ordrho(ii) 距离最近的点的编号 ordrho(jj)
     end
   end
end  

%% 生成 rho 值最大数据点的 delta 值
delta(ordrho(1))=max(delta(:));  

%% 决策图  

disp(‘Generated file:DECISION GRAPH‘)
disp(‘column 1:Density‘)
disp(‘column 2:Delta‘)  

fid = fopen(‘DECISION_GRAPH‘, ‘w‘);
for i=1:ND
   fprintf(fid, ‘%6.2f %6.2f\n‘, rho(i),delta(i));
end  

%% 选择一个围住类中心的矩形
disp(‘Select a rectangle enclosing cluster centers‘)  

%% 每台计算机，句柄的根对象只有一个，就是屏幕，它的句柄总是 0
%% &gt;&gt; scrsz = get(0,‘ScreenSize‘)
%% scrsz =
%%            1           1        1280         800
%% 1280 和 800 就是你设置的计算机的分辨率，scrsz(4) 就是 800，scrsz(3) 就是 1280
scrsz = get(0,‘ScreenSize‘);  

%% 人为指定一个位置，感觉就没有那么 auto 了 :-)
figure(‘Position‘,[6 72 scrsz(3)/4. scrsz(4)/1.3]);  

%% ind 和 gamma 在后面并没有用到
for i=1:ND
  ind(i)=i;
  gamma(i)=rho(i)*delta(i);
end  

%% 利用 rho 和 delta 画出一个所谓的“决策图”  

subplot(2,1,1)
tt=plot(rho(:),delta(:),‘o‘,‘MarkerSize‘,5,‘MarkerFaceColor‘,‘k‘,‘MarkerEdgeColor‘,‘k‘);
title (‘Decision Graph‘,‘FontSize‘,15.0)
xlabel (‘\rho‘)
ylabel (‘\delta‘)  

subplot(2,1,1)
rect = getrect(1);
%% getrect 从图中用鼠标截取一个矩形区域， rect 中存放的是
%% 矩形左下角的坐标 (x,y) 以及所截矩形的宽度和高度
rhomin=rect(1);
deltamin=rect(2); %% 作者承认这是个 error，已由 4 改为 2 了!  

%% 初始化 cluster 个数
NCLUST=0;  

%% cl 为归属标志数组，cl(i)=j 表示第 i 号数据点归属于第 j 个 cluster
%% 先统一将 cl 初始化为 -1
for i=1:ND
  cl(i)=-1;
end  

%% 在矩形区域内统计数据点（即聚类中心）的个数
for i=1:ND
  if ( (rho(i)&gt;rhomin) &amp;&amp; (delta(i)&gt;deltamin))
     NCLUST=NCLUST+1;
     cl(i)=NCLUST; %% 第 i 号数据点属于第 NCLUST 个 cluster
     icl(NCLUST)=i;%% 逆映射,第 NCLUST 个 cluster 的中心为第 i 号数据点
  end
end  

fprintf(‘NUMBER OF CLUSTERS: %i \n‘, NCLUST);  

disp(‘Performing assignation‘)  

%% 将其他数据点归类 (assignation)
for i=1:ND
  if (cl(ordrho(i))==-1)
    cl(ordrho(i))=cl(nneigh(ordrho(i)));
  end
end
%% 由于是按照 rho 值从大到小的顺序遍历,循环结束后, cl 应该都变成正的值了.   

%% 处理光晕点，halo这段代码应该移到 if (NCLUST&gt;1) 内去比较好吧
for i=1:ND
  halo(i)=cl(i);
end  

if (NCLUST&gt;1)  

  % 初始化数组 bord_rho 为 0,每个 cluster 定义一个 bord_rho 值
  for i=1:NCLUST
    bord_rho(i)=0.;
  end  

  % 获取每一个 cluster 中平均密度的一个界 bord_rho
  for i=1:ND-1
    for j=i+1:ND
      %% 距离足够小但不属于同一个 cluster 的 i 和 j
      if ((cl(i)~=cl(j))&amp;&amp; (dist(i,j)&lt;=dc))
        rho_aver=(rho(i)+rho(j))/2.; %% 取 i,j 两点的平均局部密度
        if (rho_aver&gt;bord_rho(cl(i)))
          bord_rho(cl(i))=rho_aver;
        end
        if (rho_aver&gt;bord_rho(cl(j)))
          bord_rho(cl(j))=rho_aver;
        end
      end
    end
  end  

  %% halo 值为 0 表示为 outlier
  for i=1:ND
    if (rho(i)&lt;bord_rho(cl(i)))
      halo(i)=0;
    end
  end  

end  

%% 逐一处理每个 cluster
for i=1:NCLUST
  nc=0; %% 用于累计当前 cluster 中数据点的个数
  nh=0; %% 用于累计当前 cluster 中核心数据点的个数
  for j=1:ND
    if (cl(j)==i)
      nc=nc+1;
    end
    if (halo(j)==i)
      nh=nh+1;
    end
  end  

  fprintf(‘CLUSTER: %i CENTER: %i ELEMENTS: %i CORE: %i HALO: %i \n‘, i,icl(i),nc,nh,nc-nh);  

end  

cmap=colormap;
for i=1:NCLUST
   ic=int8((i*64.)/(NCLUST*1.));
   subplot(2,1,1)
   hold on
   plot(rho(icl(i)),delta(icl(i)),‘o‘,‘MarkerSize‘,8,‘MarkerFaceColor‘,cmap(ic,:),‘MarkerEdgeColor‘,cmap(ic,:));
end
subplot(2,1,2)
disp(‘Performing 2D nonclassical multidimensional scaling‘)
Y1 = mdscale(dist, 2, ‘criterion‘,‘metricstress‘);
plot(Y1(:,1),Y1(:,2),‘o‘,‘MarkerSize‘,2,‘MarkerFaceColor‘,‘k‘,‘MarkerEdgeColor‘,‘k‘);
title (‘2D Nonclassical multidimensional scaling‘,‘FontSize‘,15.0)
xlabel (‘X‘)
ylabel (‘Y‘)
for i=1:ND
 A(i,1)=0.;
 A(i,2)=0.;
end
for i=1:NCLUST
  nn=0;
  ic=int8((i*64.)/(NCLUST*1.));
  for j=1:ND
    if (halo(j)==i)
      nn=nn+1;
      A(nn,1)=Y1(j,1);
      A(nn,2)=Y1(j,2);
    end
  end
  hold on
  plot(A(1:nn,1),A(1:nn,2),‘o‘,‘MarkerSize‘,2,‘MarkerFaceColor‘,cmap(ic,:),‘MarkerEdgeColor‘,cmap(ic,:));
end  

%for i=1:ND
%   if (halo(i)&gt;0)
%      ic=int8((halo(i)*64.)/(NCLUST*1.));
%      hold on
%      plot(Y1(i,1),Y1(i,2),‘o‘,‘MarkerSize‘,2,‘MarkerFaceColor‘,cmap(ic,:),‘MarkerEdgeColor‘,cmap(ic,:));
%   end
%end
faa = fopen(‘CLUSTER_ASSIGNATION‘, ‘w‘);
disp(‘Generated file:CLUSTER_ASSIGNATION‘)
disp(‘column 1:element id‘)
disp(‘column 2:cluster assignation without halo control‘)
disp(‘column 3:cluster assignation with halo control‘)
for i=1:ND
   fprintf(faa, ‘%i %i %i\n‘,i,cl(i),halo(i));
end  </pre>
<p>参考：http://blog.csdn.net/aimatfuture/article/details/39405261</p>
<p>http://blog.csdn.net/zxdxyz/article/details/40655231</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 07:36:47 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/center/" title="center">center</a>, <a href="https://www.biecuoliao.com/tag/pos/" title="pos">pos</a>, <a href="https://www.biecuoliao.com/tag/cut/" title="cut">cut</a>, <a href="https://www.biecuoliao.com/tag/%e8%bf%87%e7%a8%8b/" title="过程">过程</a>, <a href="https://www.biecuoliao.com/tag/ges/" title="ges">ges</a>, <a href="https://www.biecuoliao.com/tag/%e8%ae%b0%e5%bd%95/" title="记录">记录</a>, <a href="https://www.biecuoliao.com/tag/nal/" title="nal">nal</a>, <a href="https://www.biecuoliao.com/tag/%e5%9c%b0%e6%96%b9/" title="地方">地方</a>, <a href="https://www.biecuoliao.com/tag/sda/" title="sda">sda</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>一种新型聚类算法(Clustering by fast search and find of density peaksd)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoQvrn3.html" rel="bookmark">Science14年的聚类论文&mdash;&mdash;Clustering by fast search and find of density peaks</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是一个比较新的聚类方法(文章中没看见作者对其取名,在这里我姑且称该方法为local density clustering,LDC),在聚类这个古老的主题上似乎最近一些年的突破不大,这篇文章算是很好的了,方法让人很有启发(醍醐灌顶),并且是发表在Science上,受到的关注自然非常大. 本文的核心亮点:1是用比较新颖的方法来确定聚类中心,2是采用距离的local density来进行聚类的划分.在这两点中,常见的Kmeans算法采用的方法是:用每一类的均值作为中点,用距离的最近的点来确定聚类划分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OQoDZM.html" rel="bookmark">Clustering by fast search and find of density peaks代码详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ 发表在2014年Science上的聚类方法Clustering by fast search and find of density peaks,不在这赘述介绍了,其matlab代码详细注释下面给出,如果想看该方法的详细解释说明,推荐在阅读原文的基础上,参考这位博主的博文 http://blog.csdn.net/itplus/article/details/38926837 本文版权所有  转载请注明出处 http://blog.csdn.net/mxlmhgzw 无法看清的,请见我博客			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MX7jB84.html" rel="bookmark">Science论文&amp;quot&semi;Clustering by fast search and find of density peaks&amp;quot&semi;学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;Clustering by fast search and find of density peaks&quot;是今年6月份在&lt;Science&gt;期刊上发表的的一篇论文,论文中提出了一种非常巧妙的聚类算法.经过几天的努力,终于用python实现了文中的算法,下面与大家分享一下自己对算法的理解及实现过程中遇到的问题和解决办法. 首先,该算法是基于这样的假设:类簇中心被具有较低局部密度的邻居点包围,且与具有更高密度的任何点有相对较大的距离.对于每一个数据点,要计算两个量:点的局部密度和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lkLWbM.html" rel="bookmark">Clustering by fast search and find of density peaks</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;Clustering by fast search and find of density peaks&quot;是20114年6月份在&lt;Science&gt;期刊上发表的的一篇论文,论文中提出了一种非常巧妙的聚类算法. 首先,该算法是基于这样的假设: (1)聚类中心密度要高 (2)高密度中心点之间的距离应该相对远一些. 异常点都会被排除,同时也和形状无关. 首先,这种方法不像原先的Kmeans那样随机初始种子点然后迭代,它是根据样本的密度峰值来确定聚类中心的,当然聚类中心确定之后,后面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pN25P0.html" rel="bookmark">Hadoop实现Clustering by fast search and find of density peaks</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Hadoop实现Clustering by fast search and find of density peaks 本篇博客参考:Clustering by fast search and find of density peaks论文以及http://www.cnblogs.com/peghoty/p/3945653.html. Hadoop版本:2.6.0,Myeclipse:10.0 代码可在https://github.com/fansy1990/fast_cluster下载. 1.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aoa2Q4.html" rel="bookmark">Hadoop实现Clustering by fast search and find of density peaks &lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇博客参考:Clustering by fast search and find of density peaks论文以及http://www.cnblogs.com/peghoty/p/3945653.html. 使用版本: Hadoop版本:2.6.0,Myeclipse:10.0 本地集群情况: node101  (主节点,namenode,datanode,ResourceManager,NodeManager,SecondaryNamenode,3.7G,2核) node102  (			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzBgQJM.html" rel="bookmark">笔记Clustering by fast search and find of density peaks</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				We propose an approach based on the idea that cluster centers are characterizedby a higher density than their neighbors and by a relatively large distance from points withhigher densities. This idea forms the basis of a clustering procedure in which			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38wpoK0.html" rel="bookmark">发表在 Science 上的一种新聚类算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今年 6 月份,Alex Rodriguez 和 Alessandro Laio 在 Science 上发表了一篇名为&lt;Clustering by fast search and find of density peaks&gt;的文章,为聚类算法的设计提供了一种新的思路.虽然文章出来后遭到了众多读者的质疑,但整体而言,新聚类算法的基本思想很新颖,且简单明快,值得学习.这个新聚类算法的核心思想在于对聚类中心的刻画上,本文将对该算法的原理进行详细介绍,并对其中的若干细节展开讨论. 最后,附上作者在补充			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/kMLwmy4.html" rel="bookmark">Clustering by fast search and find of desity peaks（基于快速搜索与寻找密度峰值的聚类）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于快速搜索与寻找密度峰值的聚类(Alex Rodriguez and Alessandro Laio) 摘要:聚类分析目的是基于元素之间的相似度对其进行分类,应用范围从天文学到生物信息学.文献计量学到模式识别.我们提出一种方法,思想基于簇中心具有比其邻居更大密度的特点以及与更大密度点之间有一个相对较大的距离(1.簇中心点有相对高的密度 2.簇中心点之间距离一般较大,即不同类别之间一般距离较远),这种思想形成了簇数目直观出现的聚类机制的基础,自动发现和排除异常点,同时在识别簇时,不用关心其形状和			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MBmby4.html" rel="bookmark" class="title">《高可用MySQL》1 &ndash; Windows环境下压缩版MySQL安装</a>
					<div>
						近日在读O'REILIY系列的&lt;高可用MySQL&gt;, 自然少不了主从(Master-Slave)配置和横向扩展相关的内容. Master-Slave这东西吧.在很多公司都是标配.开发中基本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/74QERw4.html" rel="bookmark" class="title">按长度排序字符串数组</a>
					<div>
						1 import java.util.Comparator; 2 import java.util.Set; 3 import java.util.TreeSet; 4 5 public class  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dOnnM.html" rel="bookmark" class="title">python学习笔记-（六）深copy&amp;amp&semi;浅copy</a>
					<div>
						在python中,对象赋值实际上是对象的引用.当创建一个对象,然后把它赋给另一个变量的时候,python并没有拷贝这个对象,而只是拷贝了这个对象的引用. 1. 赋值 赋值其实只是传递对象引用,引用对象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDRyOn3.html" rel="bookmark" class="title">前端见微知著AngularJS备忘篇：温故而知新，可以为师矣</a>
					<div>
						话说以前JQuery刚出来的时候,真的是对个人的冲击蛮大的.记得当时我买的第一本书就是&lt;锋利的JQuery&gt;,藉由这本书开始,我从此以后的项目基本用上了JQuery,其给我带来的便利性是不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDRlL83.html" rel="bookmark" class="title">UIScrollView &mdash;&mdash; 分页控件详解（三）&mdash;&mdash;（第一讲）</a>
					<div>
						1 . 所用知识 须知,要达到分页效果,所以会用到UIScrollView的ContentOffset属性,设置其UIScrollView分页移动位置,要有页码就用到了UIPageControl控件显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RYxr5M.html" rel="bookmark" class="title">SVN使用入门&lpar;复习&rpar;</a>
					<div>
						以下是以前学习SVN的笔记,现在复习一下.(建议使用google code) vss独占式的,微软的 CVS并发的.不支持目录的,不支持事务. TFS 微软的,和SVN类似 既要用SVN,也要用Git ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RY95vM.html" rel="bookmark" class="title">hdu----&lpar;1847&rpar;Good Luck in CET-4 Everybody&excl;&lpar;简单巴什博奕&rpar;</a>
					<div>
						Good Luck in CET-4 Everybody! Time Limit: 1000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49o2Jv0.html" rel="bookmark" class="title">python内置函数2-callable&lpar;&rpar;</a>
					<div>
						Help on built-in function callable in module __builtin__: callable(...) callable(object) -&gt; bool  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Momq2n3.html" rel="bookmark" class="title">Xcode中的Project、Target及设置工程属性</a>
					<div>
						一.新创建工程(如下图e.g.),APP的属性包括了 PROJECT 和 TARGETS 两块内容.且一个工程只有一个 PROJECT,但可以有一个或多个 TARGETS(从苹果的命名上也可以看出,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQRZk4.html" rel="bookmark" class="title">Swift 闭包表达式</a>
					<div>
						闭包是功能性自包含模块,可以在代码中被传递和使用. Swift 中的闭包与 C 和 Objective-C 中的 blocks 以及其他一些编程语言中的 lambdas 比较相似. 闭包的形式主要有三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxLgQ0.html" rel="bookmark" class="title">ORACLE PL&sol;SQL异常处理&lpar;Exception&rpar;学习笔记</a>
					<div>
						1.PL/SQL错误类型 错误类型 报告者 处理方法 编译时错误 PL/SQL编译器 交互式地处理:编译器报告错误,你必须更正这些错误 运行时错误 PL/SQL运行时引擎 程序化地处理:异常由异常处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVzKYQM.html" rel="bookmark" class="title">UIWebView的使用</a>
					<div>
						利用国庆假期,复习了一下之前学的知识,发现之前的知识自己都忘的差不多了,赶紧的抓紧时间好好的练习练习,为下个月找工作做好准备啊...... #import &quot;ViewController.h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JdROB0.html" rel="bookmark" class="title">&amp;lt&semi;Effective Java&amp;gt&semi;引言</a>
					<div>
						Java语言规范 &lt;The Java Language Specification&gt; 1.Java语言支持的四种类型:接口.类.数组和基本类型. 前三种类型通常被称为引用类型,类实例和数组 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLvxQy3.html" rel="bookmark" class="title">FZU2177&mdash;&mdash;ytaaa&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;【区间dp】</a>
					<div>
						ytaaa Time Limit:2000MS     Memory Limit:32768KB     64bit IO Format:%I64d &amp; %I64u Submit Status ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JvRdl4.html" rel="bookmark" class="title">九度OJ 1094 String Matching</a>
					<div>
						题目1094:String Matching 时间限制:1 秒 内存限制:32 兆 特殊判题:否 提交:1098 解决:587 题目描述: Finding all occurrences of a p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35r9X14.html" rel="bookmark" class="title">这个世界是那样的似曾相识</a>
					<div>
						量子力学的发展历史真是让人唏嘘不已,从它诞生到巅峰,好像就经历了一代人,当普朗克去世的时候,爱因斯坦还在和波尔争论着量子力学的完备性. 而经典物理学的发展却经历了从阿基米德到伽利略,再到牛顿等人. 谁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzEmqO4.html" rel="bookmark" class="title">线程池 概念理解</a>
					<div>
						转 Java线程池解析 作者 whthomas 关注 2016.04.06 20:07* 字数 1427 阅读 340评论 0喜欢 8 Java的一大优势是能完成多线程任务,对线程的封装和调度非常好, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4N1NBw3.html" rel="bookmark" class="title">曾李青总结的创业的观点</a>
					<div>
						题图:德迅投资董事长 曾李青先生 前几日,投投与一位朋友聊及曾李青先生,席间朋友对曾李青先生发出了一番敬佩的肺腑之言.正是受到朋友的影响,这几日投投连忙翻阅了许多曾李青先生的分享,于是便精选出了今天这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Opw7P4.html" rel="bookmark" class="title">Redis常用数据类型介绍、使用场景及其操作命令</a>
					<div>
						Redis常用数据类型介绍.使用场景及其操作命令 本文章同时也在cpper.info发布. Redis目前支持5种数据类型,分别是: 1.String(字符串) 2.List(列表) 3.Hash(字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rQOo10.html" rel="bookmark" class="title">eval&lpar;&rpar;将json 字符串转换为数组</a>
					<div>
						json ={ GW:[{id:&quot;655&quot;,mc:&quot;董事&quot;},{id:&quot;656&quot;,mc:&quot;书记&quot;},{id:&quot; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
